Dwa pliki style pod różne przeglądarki


(Kloc221) #1

Witam mam mały problem bo nie wiem jak zrobić plik style.css pod odpowiednią przeglądarkę. Chodzi o to że mam 1 plik style pod wszystkie przeglądarki a drugi pod opere ale jak zrobić żeby to działało ?? W przyszłości chciał bym zrobić dla każdej przeglądarki inny plik style tylko niech ktoś mi wytłumaczy jak je podpasywać...


(Johny) #2

Zrobić zgodnie ze standardami,po to są testy Acid,żeby przeglądarki nie sprawiały problemów przy wyświetlaniu stron,Opera Acid 2 i 3 przechodzi,więc nie powinno być problemów


(floyd) #3

Najzabawniejsze, że te standardy tworzy się takie aby nie przeszła ich jedna z przeglądarek, ale i tak większość jej używa. :slight_smile:

Oczywiście winni są twórcy tej przeglądarki, a nie twórcy tych standardów.


(Johny) #4

Wszystkie popularne przechodzą Acid 2,standardów nie tworzy się na przechodzenie tylko dla pewności dostosowywania przeglądarek do technologi,z których stworzone są strony,dzisiaj strony www są tak złożone,że nie wystarczy już prosty HTML i tu zaczynają się schody,nie ma pewności,czy każda przeglądarka będzie obsługiwać dobrze DHTML,CCS,JavaScript,DOM,wygładzanie czcionek,itd.,właśnie te niezgodne wyświetlają takie strony z błędami,albo się zawieszają


(Kloc221) #5

Dalej nikt z was nie odpowiedział na moje pytanie...

strona w firefox działa normalnie - http://www.gametronik.pl/index.php

w operze menu przesuwa się nieco na dół należało by zmienić po prostu jeden parametr z pliku style.css

Chodzi mi o takie haki :

np :


(floyd) #6

Ameryki nie odkryłeś twierdząc, że standardy, to coś pozytywnego i też bym sobie ich życzył, ale jak się do tych standardów dochodzi to całkiem inna bajka. Różnica między nami polega na tym, że ja widzę wielu winnych, a Ty przypuszczalnie jednego.

Nie dziwię, się firmom które zjednoczyły się w walce o kasę przeciwko jednej dużej firmie, ale dziwię się zwykłym userom którzy w tej walce biorą aktywny udział.


(ra-v) #7

Dodałem 2. linijkę i jest ok. Czyli wyrzuć width:100% ze style.css.

Masz jakieś błedy w PHP. Jeśli tam masz session_start() to weź to ponad DOCTYPE

Poza tym zrób warunek aby 1. linijka powyższego wyświetlała się tylko dla IE6. IE7 już obsługuje PNGi.

PS. Ładny serwis:)


(Johny) #8

Dla opcji IE6 wpisz "zaktualizuj przeglądarkę",bo IE6 nie jest już formalnie obsługiwany - za stary program,więc kompatybilnością z nim za bardzo się nie przejmuj


(ra-v) #9

Im więcej użytkowników tym lepiej, a jest jeszcze 5% takich użytkowników czyli nie tak mało. Jakby nie patrzeć to 50 tys użytkowników na 1 mln komputerów.

Taka informacja może być oczywiście ale gdzieś w belce.


(Kontakt) #10

Czasami przydała by się pewna tyrania :stuck_out_tongue: Wychodzi nowa wersja IE to od razu automatyczna instalacja :slight_smile: Przynajmniej coraz więcej by się zgadzało z innymi przeglądarkami :slight_smile: